﻿
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables
 */
.dtPageWrapper {
	margin:0 10px;
}

.dtPopupWrapper {
	margin:0;
	min-width:300px;
}

.dtModalWrapper {
	margin:0;
}

.dtPage, .dtPopup, .dtModal {
	width:100%;
}

.dataTables_wrapper {
	position: relative;
	clear: both;
	width:100%;
	zoom: 1; /* Feeling sorry for IE */
}

.dtPageWrapper .dataTables_wrapper {
	margin:0 0 20px 0;
}

.dtPopupWrapper .dataTables_wrapper {
	margin:0 5px 10px 5px;
}

.dtModalWrapper .dataTables_wrapper {
	margin:0 5px 10px 5px;
}

.dataTables_processing {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 250px;
	height: 30px;
	margin-left: -125px;
	margin-top: -15px;
	padding: 14px 0 2px 0;
	border: 1px solid #ddd;
	text-align: center;
	color: #999;
	font-size: 14px;
	background-color: white;
}

.dataTables_filter {
	text-align:center;
	margin:0 auto 10px auto;
}

.dataTables_length {
	float: left;
}

.dtPageWrapper .dataTables_filter input {
	width:250px;
	color:#555;
	height:1.7em;
}

.dtPopupWrapper .dataTables_filter input {
	width:200px;
	color:#555;
}

.dtModalWrapper .dataTables_filter input {
	width:200px;
	color:#555;
}

.dtPageWrapper .dataTables_info {
	float:right;
	line-height:2em;
}

.dtPopupWrapper .dataTables_info {
	font-size:.9em;
	float:left;
}

.dtModalWrapper .dataTables_info {
	font-size:.9em;
	float:right;
	margin-right:10px;
}

.dtPageWrapper .dataTables_paginate {
	clear:both;
	text-align:center;
}

.dtPopupWrapper .dataTables_paginate {
	float:right;
	margin-bottom:5px;
	margin-right:10px;
}

.dtModalWrapper .dataTables_paginate {
	float:left;
	margin-bottom:5px;
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables page
 */
table.dtPage {
	margin: 0 auto 5px auto;
	clear: both;
	width: 100%;
	border-collapse:collapse;
	
	
	/* Note Firefox 3.5 and before have a bug with border-collapse
	 * ( https://bugzilla.mozilla.org/show%5Fbug.cgi?id=155955 ) 
	 * border-spacing: 0; is one possible option. Conditional-css.com is
	 * useful for this kind of thing
	 *
	 * Further note IE 6/7 has problems when calculating widths with border width.
	 * It subtracts one px relative to the other browsers from the first column, and
	 * adds one to the end...
	 *
	 * If you want that effect I'd suggest setting a border-top/left on th/td's and 
	 * then filling in the gaps with other borders.
	 */
}

table.dtPage thead th {
	color:#2169c2;
	padding: 5px 10px 5px 5px;
	text-align:left;
	font-weight: bold;
	cursor: pointer;
	* cursor: hand;
}

table.dtPage tfoot th {
}

table.dtPage td {
	padding: 5px 10px 5px 12px;
	border-top:solid 1px #cbdeb8;
	border-bottom:solid 1px #cbdeb8;
	line-height:1.75em;
}

.dtSmallCell {
	padding: 5px 3px !important;
	text-align:center !important;
}

.dtCenter {
	text-align:center !important;
}

table.dtPage td.center {
	text-align: center;
}

table.dtPage tr.odd {
	background-color: #fff;
}

table.dtPage tr.even {
	background-color:#f5f5f5;
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables popup
 */
table.dtPopup {
	margin: 0;
	clear: both;
	width: 100%;
	border-collapse:collapse;
}

table.dtPopup thead th {
	color:#2169c2;
	padding: 2px 10px;
	font-size:.9em;
	text-align:left;
	cursor: pointer;
	* cursor: hand;
}

table.dtPopup tfoot th {
}

table.dtPopup td {
	padding: 2px 10px;
	width:300px;
	border-top:solid 1px #cbdeb8;
	border-bottom:solid 1px #cbdeb8;
	font-size:.9em;
	white-space:nowrap;
}

table.dtPopup td.center {
	text-align: center;
}

table.dtPopup tr.odd {
	background-color:#888;
	color:#fff;
}

table.dtPopup tr.even {
	background-color:#888;
	color:#fff;
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables modal
 */
table.dtModal {
	margin: 0;
	clear: both;
	width: 100%;
	border-collapse:collapse;
}

table.dtModal thead th {
	color:#2169c2;
	padding: 2px 10px;
	font-size:.9em;
	text-align:left;
	cursor: pointer;
	* cursor: hand;
}

table.dtModal tfoot th {
}

table.dtModal td {
	padding: 2px 10px;
	width:300px;
	border-top:solid 1px #cbdeb8;
	border-bottom:solid 1px #cbdeb8;
	font-size:.9em;
	white-space:nowrap;
}

table.dtModal td.center {
	text-align: center;
}

table.dtModal tr.odd {
	background-color:#888;
	color:#fff;
}

table.dtModal tr.even {
	background-color:#888;
	color:#fff;
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables sorting
 */

.sorting_disabled {
	cursor:default !important;
}

.sorting_asc {
	padding-left: 20px !important;
	text-decoration:underline;
	background: url('../Content/images/sort_asc.png') no-repeat center left;
}

.sorting_desc {
	padding-left: 20px !important;
	text-decoration:underline;
	background: url('../Content/images/sort_desc.png') no-repeat center left;
}

.sorting {
	padding-left: 20px !important;
	text-decoration:underline;
	background: url('../Content/images/sort_both.png') no-repeat center left;
}

.sorting_asc_disabled {
	background: url('../Content/images/sort_asc_disabled.png') no-repeat center left;
}

.sorting_desc_disabled {
	background: url('../Content/images/sort_desc_disabled.png') no-repeat center left;
}

/*
 * Sorting classes for columns
 */
/* For the standard odd/even */
tr.odd td.sorting_1 {
}

tr.odd td.sorting_2 {
}

tr.odd td.sorting_3 {
}

tr.even td.sorting_1 {
}

tr.even td.sorting_2 {
}

tr.even td.sorting_3 {
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables paging
 */

.paging_full_numbers {
	line-height: 1.2em;
}

.paging_full_numbers span.paginate_button,
.paging_full_numbers span.paginate_active {
	width:16px;
	margin:0 3px;
	cursor: pointer;
	*cursor: hand;
}

.paging_full_numbers .paginate_button {
	border:1px solid #cbdeb8;
	padding:2px 8px;
	color:#2169c2;
	background-color:#fff;
}

.paging_full_numbers .paginate_button:hover {
	background-color:#f2f6fa;
	border:1px solid #2169c2;
}

.paging_full_numbers .paginate_active {
	font-weight:bold;
}

/* Pagination nested */
.paginate_disabled_previous, .paginate_enabled_previous, .paginate_disabled_next, .paginate_enabled_next {
	height: 1.2em;
	width: 1.2em;
	margin-left: 3px;
	float: left;
}

.paginate_disabled_previous {
	background: url('../Content/images/back_disabled.jpg');
}

.paginate_enabled_previous {
	background: url('../Content/images/back_enabled.jpg');
}

.paginate_disabled_next {
	background-image: url('../Content/images/forward_disabled.jpg');
}

.paginate_enabled_next {
	background-image: url('../Content/images/forward_enabled.jpg');
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Misc
 */

.top, .bottom {
	padding: 15px;
	background-color: #F5F5F5;
	border: 1px solid #CCCCCC;
}

.top .dataTables_info {
	float: none;
}

.dataTables_empty {
	text-align: center;
}

table.display tr.even.row_selected td {
}

table.display tr.odd.row_selected td {
}

